> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.coperniq.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.coperniq.io/_mcp/server.

# Update Account

PATCH https://api.coperniq.io/v1/accounts/{account_id}
Content-Type: application/json

Update an existing account. Supports partial updates.

Updatable fields:
- Standard fields (title, description, address, accountType, isActive)
- Contact information (primaryEmail, primaryPhone)
- `contacts`: Contact IDs only (no name, email, phone, etc.). The contacts must be created first via POST /contacts.
- Custom fields (through custom object)

Note: Updates are atomic - either all fields update or none do.

**Note:** The `/clients` path is an alias for `/accounts` and will continue to work until users are individually notified and migrated.


Reference: https://docs.coperniq.io/api-reference/accounts/update-account

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `account_id` (integer, required) — Account identifier

### Query parameters

- `allow_new_options` (boolean, optional, default: false) — Whether to allow creation of new dropdown options during record creation

### Body (application/json)

This endpoint expects an AccountUpdate.

- `title` (string, optional) — Account name
- `description` (string, optional, nullable) — Account description
- `address` (list of string, optional) — An array containing a single string, which represents the primary account location/address.
- `accountType` (enum, optional, nullable) — Account type
  - Allowed values: `RESIDENTIAL`, `COMMERCIAL`
- `ownerId` (integer, optional, nullable) — ID of the owning user
- `primaryEmail` (string, optional, nullable) — Primary contact email
- `primaryPhone` (string, optional, nullable) — Primary contact phone
- `contacts` (list of integer, optional, nullable) — Contact IDs to associate with this account. The contacts must be created first via POST /contacts. The first ID in the array is treated as the primary contact.
- `isActive` (boolean, optional) — Whether the account is active
- `custom` (map from string to any, optional) — Custom fields

## Response

### 200

Account updated successfully

- `id` (integer, optional) — Unique identifier
- `createdAt` (string, optional) — Creation timestamp
- `updatedAt` (string, optional) — Timestamp of the most recent update to the record, including changes to its custom property values.
- `title` (string, optional) — Record title/name
- `description` (string, optional, nullable) — Record description
- `address` (list of string, optional) — Record location/address
- `isActive` (boolean, optional) — Whether the record is active
- `primaryEmail` (string, optional, nullable) — Primary contact email
- `primaryPhone` (string, optional, nullable) — Primary contact phone
- `number` (integer, optional) — Record number (e.g., 1234)
- `createdBy` (UserSummary, optional, nullable) — User who created the record. Null when the record was created by a non-user actor (e.g. automation or a contact).
- `updatedBy` (UserSummary, optional, nullable) — User who last edited a field on the record, derived from the changelog. Null when the record has never been edited or the last edit was made by a non-user actor.
- `custom` (map from string to any, optional) — Custom fields
- `accountType` (enum, optional, nullable) — Type of account (residential or commercial)
  - Allowed values: `RESIDENTIAL`, `COMMERCIAL`
- `contacts` (list of ContactRef, optional) — On GET requests, only populated when include_contacts=true is passed. Always populated on POST (create) and PATCH (update) responses. Ordered with the primary contact first, capped at 20 contacts.

## Errors

### 400 Bad Request Error

Invalid request

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `NOT_FOUND`
- `field` (string, optional) — Field that caused the validation error (if applicable)

### 401 Unauthorized Error

Authentication failed

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `NOT_FOUND`

### 404 Not Found Error

Resource not found

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `NOT_FOUND`

## Types

### UserSummary

Minimal user representation used in responses

- `id` (integer, optional)
- `firstName` (string, optional, nullable)
- `lastName` (string, optional, nullable)
- `email` (string, optional, nullable)
- `avatarUrl` (string, optional, nullable)

### ContactRef

- `id` (integer, optional)
- `name` (string, optional)
- `title` (string, optional, nullable) — Contact title (e.g. job title)
- `description` (string, optional, nullable)
- `emails` (list of string, optional)
- `phones` (list of string, optional)
- `isPrimary` (boolean, optional) — True for the primary contact (the first contact in the list). At most one contact is primary.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "id": 1,
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "title": "string",
  "description": "string",
  "address": [
    "string"
  ],
  "isActive": true,
  "primaryEmail": "string",
  "primaryPhone": "string",
  "number": 1,
  "createdBy": {
    "id": 1,
    "firstName": "string",
    "lastName": "string",
    "email": "string",
    "avatarUrl": "string"
  },
  "updatedBy": {
    "id": 1,
    "firstName": "string",
    "lastName": "string",
    "email": "string",
    "avatarUrl": "string"
  },
  "custom": {},
  "accountType": "RESIDENTIAL",
  "contacts": [
    {
      "id": 1,
      "name": "string",
      "title": "string",
      "description": "string",
      "emails": [
        "string"
      ],
      "phones": [
        "string"
      ],
      "isPrimary": true
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.coperniq.io/v1/accounts/1"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.coperniq.io/v1/accounts/1';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.coperniq.io/v1/accounts/1"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.coperniq.io/v1/accounts/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.coperniq.io/v1/accounts/1")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.coperniq.io/v1/accounts/1', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.coperniq.io/v1/accounts/1");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.coperniq.io/v1/accounts/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```